package javaapplication1;

import java.util.ArrayList;
import java.util.Scanner;

public class JavaApplication1 {
    public static void main(String[] args) {
        //definisem skaner
        Scanner ulaz = new Scanner(System.in);
        //npravim listu ovde
        ArrayList<Integer> lista = new ArrayList();
        //n je broj stalaktita a l je pericina visina
        int l,n;
        //broj stalaktita
        n=ulaz.nextInt();
        //perica
        l=ulaz.nextInt();
        for(int i= 0 ; i<n;i++) {
            lista.add(ulaz.nextInt());
        }
        for(int i=0; i<n;i++) {
            if(l>=lista.get(i)) {
                System.out.println(i+1);
                System.exit(0);
            }
        }
        System.out.println(-1);
    }  
}